Index: /LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/calltherm.F90
===================================================================
--- /LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/calltherm.F90	(revision 1293)
+++ /LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/calltherm.F90	(revision 1294)
@@ -45,4 +45,5 @@
 !********************************************************
 !     declarations
+      LOGICAL flag_bidouille_stratocu
       real fmc_therm(klon,klev+1),zqasc(klon,klev)
       real zqla(klon,klev)
@@ -187,6 +188,6 @@
      &      ,r_aspect_thermals,l_mix_thermals,w2di_thermals  &
      &      ,tau_thermals)
-          else if (iflag_thermals.ge.13) then
-            CALL thermcell_main(itap,klon,klev,zdt  &
+          else if (iflag_thermals==13.or.iflag_thermals==14) then
+            CALL thermcellV0_main(itap,klon,klev,zdt  &
      &      ,pplay,paprs,pphi,debut  &
      &      ,u_seri,v_seri,t_seri,q_seri  &
@@ -197,10 +198,24 @@
      &      ,tau_thermals,Ale,Alp,lalim_conv,wght_th &
      &      ,zmax0,f0,zw2,fraca)
+          else if (iflag_thermals==15.or.iflag_thermals==16) then
+            CALL thermcell_main(itap,klon,klev,zdt  &
+     &      ,pplay,paprs,pphi,debut  &
+     &      ,u_seri,v_seri,t_seri,q_seri  &
+     &      ,d_u_the,d_v_the,d_t_the,d_q_the  &
+     &      ,zfm_therm,zentr_therm,zdetr_therm,zqasc,zqla,lmax  &
+     &      ,ratqscth,ratqsdiff,zqsatth  &
+     &      ,r_aspect_thermals,l_mix_thermals  &
+     &      ,tau_thermals,Ale,Alp,lalim_conv,wght_th &
+     &      ,zmax0,f0,zw2,fraca)
+           if (prt_level.gt.10) write(lunout,*)'Apres thermcell_main OK'
+         else
+            STOP'Cas des thermiques non prevu'
          endif
 
+       flag_bidouille_stratocu=iflag_thermals.lt.14.or.iflag_thermals.lt.16
 
       fact(:)=0.
       DO i=1,klon
-       logexpr1(i)=iflag_thermals.lt.14.or.weak_inversion(i).gt.0.5
+       logexpr1(i)=flag_bidouille_stratocu.or.weak_inversion(i).gt.0.5
        IF(logexpr1(i)) fact(i)=1./float(nsplit_thermals)
       ENDDO
@@ -235,4 +250,5 @@
             qmemoire(:,:)=q_seri(:,:)
             q_seri(:,:) = q_seri(:,:) + d_q_the(:,:)
+           if (prt_level.gt.10) write(lunout,*)'Apres apres thermcell_main OK'
 
        DO i=1,klon
Index: /LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/physiq.F
===================================================================
--- /LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/physiq.F	(revision 1293)
+++ /LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/physiq.F	(revision 1294)
@@ -2548,5 +2548,5 @@
 
 !   les ratqs sont une combinaison de ratqss et ratqsc
-       print*,'PHYLMD NOUVEAU TAU_RATQS ',tau_ratqs
+       write(lunout,*)'PHYLMD NOUVEAU TAU_RATQS ',tau_ratqs
 
          if (tau_ratqs>1.e-10) then
